Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core
Class VMemJimiImageFactory

    java.lang.Object
      |
      +--com.sun.jimi.core.VMemJimiImageFactory

public class VMemJimiImageFactory
extends java.lang.Object
implements JimiImageFactory

JimiImageFactory implementation for VMM based images.

Field Summary
`protected static long` | `id`
`protected JimiImageFactory` | `memoryFactory` Memory factory to use when image sizes are below the VMM kick-in threshold

Constructor Summary
`VMemJimiImageFactory()`

Method Summary
`BitRasterImage` | `createBitRasterImage(int w, int h, java.awt.image.ColorModel cm)`
`ByteRasterImage` | `createByteRasterImage(int w, int h, java.awt.image.ColorModel cm)`
`ChanneledIntRasterImage` | `createChanneledIntRasterImage(int w, int h, java.awt.image.ColorModel cm)`
`IntRasterImage` | `createIntRasterImage(int w, int h, java.awt.image.ColorModel cm)`
`protected static RandomAccessStorage` | `createNextStorage(java.io.File directory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    protected static long id

### memoryFactory

    protected JimiImageFactory memoryFactory

  Memory factory to use when image sizes are below the VMM kick-in threshold

Constructor Detail

### VMemJimiImageFactory

    public VMemJimiImageFactory()

Method Detail

### createIntRasterImage

    public IntRasterImage createIntRasterImage(int w,
                                               int h,
                                               java.awt.image.ColorModel cm)

  Specified by:
    createIntRasterImage in interface JimiImageFactory

### createByteRasterImage

    public ByteRasterImage createByteRasterImage(int w,
                                                 int h,
                                                 java.awt.image.ColorModel cm)

  Specified by:
    createByteRasterImage in interface JimiImageFactory

### createBitRasterImage

    public BitRasterImage createBitRasterImage(int w,
                                               int h,
                                               java.awt.image.ColorModel cm)

  Specified by:
    createBitRasterImage in interface JimiImageFactory

### createChanneledIntRasterImage

    public ChanneledIntRasterImage createChanneledIntRasterImage(int w,
                                                                 int h,
                                                                 java.awt.image.ColorModel cm)

  Specified by:
    createChanneledIntRasterImage in interface JimiImageFactory

### createNextStorage

    protected static RandomAccessStorage createNextStorage(java.io.File directory)
                                                    throws java.io.IOException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD